diff -Nur -x '*.orig' -x '*~' netbook-remix-launcher/src/launcher-sidebar.c netbook-remix-launcher.new/src/launcher-sidebar.c
--- netbook-remix-launcher/src/launcher-sidebar.c	2008-11-28 15:10:41.000000000 +0000
+++ netbook-remix-launcher.new/src/launcher-sidebar.c	2008-12-24 12:06:10.000000000 +0000
@@ -1066,13 +1066,9 @@
 static void 
 on_quit_clicked (ClutterActor *shortcut, gpointer null)
 {
-  GtkWidget *quit;
-
-  quit = launcher_quit_new ();
-
-  gtk_dialog_run (GTK_DIALOG (quit));
-
-  gtk_widget_destroy (quit);
+  gdk_spawn_command_line_on_screen (gdk_screen_get_default (),
+                                    "gnome-session-save --kill --gui",
+                                    NULL);
 }
 
 static void
